%define name         luasqlmysql
%define srcname      luasql
%define soname       mysql
%define version 2.0b
%define major        2
%define release  %mkrel 6
%define libname      %mklibname %{name} %{major}
%define develname    %mklibname %{name} -d
%define libname_orig %mklibname %{name}
%define lua_version  5.0

Summary:        Simple interface from Lua to MySQL
Name:           %name
Version:        %version
Release:        %release
License:        MIT
Group:          Development/Other
URL:            http://www.keplerproject.org/luasql/
Source0:        %{srcname}-%{version}.tar.bz2
Patch0:         luasql-2.0b-fix-build.patch
Obsoletes:      %{libname} = %{version}
Obsoletes:      %{libname_orig}
Provides:       %{libname} = %{version}
Provides:       %{libname_orig}
BuildRoot:      %_tmppath/%{name}-%{version}

%description
LuaMySQL is a simple interface from Lua to MySQL.

%package -n     %{libname}
Summary:        Simple interface from Lua to MySQL
Group:          Development/Other
Obsoletes:      %{libname} = %{version}
Obsoletes:      %{libname_orig}
Provides:       %{libname} = %{version}
Provides:       %{libname_orig}
Requires:       liblua5
BuildRequires:  lua-devel
BuildRequires:  mysql-devel

%description -n %{libname}
LuaMySQL is a simple interface from Lua to MySQL.

%package -n     %{develname}
Summary:        Static library and header files for the luasqlmysql library
Group:          Development/Other
License:        MIT
Obsoletes:      %{libname_orig}-devel
Provides:       %{libname_orig}-devel
Requires:       %{libname} = %{version}-%{release}
Obsoletes:      %mklibname %{name} -d 2       

%description -n %{develname}
LuaMySQL is a simple interface from Lua to MySQL.

This package contains the static libluamysql library needed to compile
applications that use luamysql.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1

%build
%make mysqllinux CFLAGS="%{optflags} -fPIC"

%install
strip %{soname}.so
%__rm -rf %{buildroot}
install -d %{buildroot}/%{_includedir}/lua/%{lua_version}
install -d %{buildroot}/%{_libdir}/lua/%{lua_version}
install -d %{buildroot}/%{_datadir}/lua/%{lua_version}
install -d %{buildroot}/%{_defaultdocdir}/lua/%{lua_version}/%{srcname}
install -m0755 %{soname}.so %{buildroot}%{_libdir}/lua/%{lua_version}
install -m0644 %{soname}.a %{buildroot}/%{_libdir}/lua/%{lua_version}
install -m0644 README %{buildroot}%{_defaultdocdir}/lua/%{lua_version}/%{srcname}
install -m0644 manual.html %{buildroot}%{_defaultdocdir}/lua/%{lua_version}/%{srcname}
install -m0644 index.html %{buildroot}%{_defaultdocdir}/lua/%{lua_version}/%{srcname}
install -m0644 license.html %{buildroot}%{_defaultdocdir}/lua/%{lua_version}/%{srcname}

%post -n %{libname}
cd %{_datadir}/lua/%{lua_version} && rm -f %{soname}.lua && ln default.lua %{soname}.lua

%postun -n %{libname}
if [ "$1" = "0" ]; then
  rm -f %{_datadir}/lua/%{lua_version}/%{soname}.lua
fi

%clean
%__rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lua/%{lua_version}/*.so
%{_defaultdocdir}/lua/%{lua_version}/%{srcname}/*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/lua/%{lua_version}/*.so
%{_libdir}/lua/%{lua_version}/*.a



%changelog
* Thu Mar 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0b-6mdv2009.1
+ Revision: 349437
- fix build dependencies and optflags
- fix build
- new devel policy

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request
    - use %%mkrel
    - import luasqlmysql

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed May 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0b-2mdk
- Rebuild

* Wed May 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0-1mdk
- form Andre Nathan <andre@digirati.com.br> : 
	- Package creation.
